### Function

# Clutter ActorBox new

#### Declaration [src]

    ClutterActorBox*
    clutter_actor_box_new (
      gfloat x_1,
      gfloat y_1,
      gfloat x_2,
      gfloat y_2
    )

#### Description [src]

Allocates a new `ClutterActorBox` using the passed coordinates for the top left and bottom right points.

This function is the logical equivalent of:

      clutter_actor_box_init (clutter_actor_box_alloc (),
                              x_1, y_1,
                              x_2, y_2);

#### Parameters

`x_1`

  Type: `gfloat`

  X coordinate of the top left point.

`y_1`

  Type: `gfloat`

  Y coordinate of the top left point.

`x_2`

  Type: `gfloat`

  X coordinate of the bottom right point.

`y_2`

  Type: `gfloat`

  Y coordinate of the bottom right point.

#### Return value

Type: `ClutterActorBox`

The newly allocated `ClutterActorBox`. Use `clutter_actor_box_free()` to free the resources.

The caller of the function takes ownership of the data, and is responsible for freeing it.